package com.gic.haoban.manage.service.dao.mapper.hm;

import com.gic.haoban.manage.service.entity.hm.TabHaobanHmQrcode;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 活码(TabHaobanHmQrcode)表数据库访问层
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface TabHaobanHmQrcodeMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param hbId 主键
     * @return 实例对象
     */
    TabHaobanHmQrcode queryById(Long hbId);

    /**
     * 查询指定行数据
     *
     * @param tabHaobanHmQrcode 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<TabHaobanHmQrcode> queryAllByLimit(TabHaobanHmQrcode tabHaobanHmQrcode, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabHaobanHmQrcode 查询条件
     * @return 总行数
     */
    long count(TabHaobanHmQrcode tabHaobanHmQrcode);

    /**
     * 新增数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanHmQrcode tabHaobanHmQrcode);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanHmQrcode> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanHmQrcode> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanHmQrcode> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TabHaobanHmQrcode> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 影响行数
     */
    int update(TabHaobanHmQrcode tabHaobanHmQrcode);

    /**
     * 通过主键删除数据
     *
     * @param hbId 主键
     * @return 影响行数
     */
    int deleteById(Long hbId);

}

