package com.gic.haoban.manage.service.service.hm;

import com.gic.haoban.manage.service.entity.hm.TabHaobanHmClerkRelation;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 多人活码(TabHaobanHmClerkRelation)表服务接口
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface TabHaobanHmClerkRelationService {

    /**
     * 通过ID查询单条数据
     *
     * @param relationId 主键
     * @return 实例对象
     */
    TabHaobanHmClerkRelation queryById(Long relationId);

    /**
     * 分页查询
     *
     * @param tabHaobanHmClerkRelation 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<TabHaobanHmClerkRelation> queryByPage(TabHaobanHmClerkRelation tabHaobanHmClerkRelation, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 实例对象
     */
    TabHaobanHmClerkRelation insert(TabHaobanHmClerkRelation tabHaobanHmClerkRelation);

    /**
     * 修改数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 实例对象
     */
    TabHaobanHmClerkRelation update(TabHaobanHmClerkRelation tabHaobanHmClerkRelation);

    /**
     * 通过主键删除数据
     *
     * @param relationId 主键
     * @return 是否成功
     */
    boolean deleteById(Long relationId);

}
