package com.gic.haoban.manage.service.service.hm;

import com.gic.haoban.manage.service.entity.hm.TabHaobanHmQrcode;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 活码(TabHaobanHmQrcode)表服务接口
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface TabHaobanHmQrcodeService {

    /**
     * 通过ID查询单条数据
     *
     * @param hbId 主键
     * @return 实例对象
     */
    TabHaobanHmQrcode queryById(Long hbId);

    /**
     * 分页查询
     *
     * @param tabHaobanHmQrcode 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<TabHaobanHmQrcode> queryByPage(TabHaobanHmQrcode tabHaobanHmQrcode, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 实例对象
     */
    TabHaobanHmQrcode insert(TabHaobanHmQrcode tabHaobanHmQrcode);

    /**
     * 修改数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 实例对象
     */
    TabHaobanHmQrcode update(TabHaobanHmQrcode tabHaobanHmQrcode);

    /**
     * 通过主键删除数据
     *
     * @param hbId 主键
     * @return 是否成功
     */
    boolean deleteById(Long hbId);

}
