package com.gic.haoban.manage.service.service.hm.impl;

import com.gic.haoban.manage.service.dao.mapper.hm.TabHaobanHmClerkRelationMapper;
import com.gic.haoban.manage.service.entity.hm.TabHaobanHmClerkRelation;
import com.gic.haoban.manage.service.service.hm.TabHaobanHmClerkRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

/**
 * 多人活码(TabHaobanHmClerkRelation)表服务实现类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
@Service("tabHaobanHmClerkRelationService")
public class TabHaobanHmClerkRelationServiceImpl implements TabHaobanHmClerkRelationService {

    @Autowired
    private TabHaobanHmClerkRelationMapper tabHaobanHmClerkRelationMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param relationId 主键
     * @return 实例对象
     */
    @Override
    public TabHaobanHmClerkRelation queryById(Long relationId) {
        return this.tabHaobanHmClerkRelationMapper.queryById(relationId);
    }

    /**
     * 分页查询
     *
     * @param tabHaobanHmClerkRelation 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<TabHaobanHmClerkRelation> queryByPage(TabHaobanHmClerkRelation tabHaobanHmClerkRelation, PageRequest pageRequest) {
        long total = this.tabHaobanHmClerkRelationMapper.count(tabHaobanHmClerkRelation);
        return new PageImpl<>(this.tabHaobanHmClerkRelationMapper.queryAllByLimit(tabHaobanHmClerkRelation, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanHmClerkRelation insert(TabHaobanHmClerkRelation tabHaobanHmClerkRelation) {
        this.tabHaobanHmClerkRelationMapper.insert(tabHaobanHmClerkRelation);
        return tabHaobanHmClerkRelation;
    }

    /**
     * 修改数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanHmClerkRelation update(TabHaobanHmClerkRelation tabHaobanHmClerkRelation) {
        this.tabHaobanHmClerkRelationMapper.update(tabHaobanHmClerkRelation);
        return this.queryById(tabHaobanHmClerkRelation.getRelationId());
    }

    /**
     * 通过主键删除数据
     *
     * @param relationId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long relationId) {
        return this.tabHaobanHmClerkRelationMapper.deleteById(relationId) > 0;
    }



}
